package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Page;
import com.realnet.vpspack.Services.PageService ;


@RequestMapping(value = "/Page")
 @CrossOrigin("*") 
@RestController
public class PageController {
	@Autowired
	private PageService Service;

@Value("${projectPath}")
	private String projectPath;
 


	@PostMapping("/Page")
		  public Page Savedata(@RequestBody Page data) {
		Page save = Service.Savedata(data)	;

		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Page/{id}")
	public  Page update(@RequestBody Page data,@PathVariable Integer id ) {
		Page update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Page/getall/page")
	public Page<Page> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Page> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Page")
	public List<Page> getdetails() {
		 List<Page> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Page")
	public List<Page> getallwioutsec() {
		 List<Page> get = Service.getdetails();		
		return get;
}
@GetMapping("/Page/{id}")
	public  Page  getdetailsbyId(@PathVariable Integer id ) {
		Page  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Page/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}



}